import 'reflect-metadata';
import { ILayer } from '../..';
import Clock from '../../utils/clock';
import { ILayerService } from './ILayerService';
export default class LayerService implements ILayerService {
    clock: Clock;
    alreadyInRendering: boolean;
    private layers;
    private layerList;
    private layerRenderID;
    private sceneInited;
    private animateInstanceCount;
    private readonly renderService;
    private readonly mapService;
    private readonly configService;
    add(layer: ILayer): void;
    initLayers(): void;
    getLayers(): ILayer[];
    getLayer(id: string): ILayer | undefined;
    getLayerByName(name: string): ILayer | undefined;
    remove(layer: ILayer, parentLayer?: ILayer): void;
    removeAllLayers(): void;
    renderLayers(): void;
    updateLayerRenderList(): void;
    destroy(): void;
    startAnimate(): void;
    stopAnimate(): void;
    getOESTextureFloat(): boolean;
    isMapDragging(): boolean;
    private runRender;
    private clear;
    private stopRender;
}
